local ScenarioUtils = import('/lua/sim/ScenarioUtilities.lua') 
local ScenarioFramework = import('/lua/ScenarioFramework.lua') 

local TeleportUtils = import(string.gsub(ScenarioInfo.map, '[^/]*.scmap' , 'cardiacutils_teleport.lua'))

function OnPopulate() 
ScenarioUtils.InitializeArmies() 
--ScenarioFramework.SetPlayableArea(ScenarioUtils.AreaToRect('AREA_1')) 
end 

function OnStart(self) 
	local topBridge = 177
	local botBridge = 1024-177
	local bridgeHeight = 72

	local teleportationZones = 
	{
		{
			sourceZone = Rect(0,topBridge+3,1024,botBridge-3), -- redirect if into zone and 
			targetZone = Rect(0,0,1024,topBridge-3), -- move order into this zone is issued
			name		='centerToTop',
			teleporterSource = TeleportUtils.Pos(512,topBridge+bridgeHeight/3),
			teleporterDest = TeleportUtils.Pos(502,topBridge-bridgeHeight/3), 
			unitCategory = categories.NAVAL
	    },
		{
			sourceZone = Rect(0,0,1024,topBridge-bridgeHeight/3),  -- redirect if into zone and 
			targetZone = Rect(0,topBridge+6,1024,botBridge+bridgeHeight/3),-- move order into this zone is issued
			name		='topToCenter',
			teleporterSource = TeleportUtils.Pos(512,topBridge-bridgeHeight/3),
			teleporterDest = TeleportUtils.Pos(498,topBridge+bridgeHeight/3),
			unitCategory = categories.NAVAL
	    },
		{
			sourceZone = Rect(0,topBridge+bridgeHeight/3,1024,botBridge-bridgeHeight/3), -- redirect if into zone and 
			targetZone = Rect(0,botBridge+bridgeHeight/3,1024,1024), -- move order into this zone is issued
			name		='centerToBot',
			teleporterSource = TeleportUtils.Pos(498,botBridge-bridgeHeight/3),
			teleporterDest = TeleportUtils.Pos(498,botBridge+bridgeHeight/3),
			unitCategory = categories.NAVAL
	    },
		{
			sourceZone = Rect(0,botBridge+bridgeHeight/3,1024,1024),  -- redirect if into zone and 
			targetZone = Rect(0,topBridge+bridgeHeight/3,1024,botBridge-bridgeHeight/3),-- move order into this zone is issued
			name		='botToCenter',
			teleporterSource = TeleportUtils.Pos(498,botBridge+bridgeHeight/3),
			teleporterDest = TeleportUtils.Pos(512,botBridge-bridgeHeight/3),
			unitCategory = categories.NAVAL
	    },
	}
	TeleportUtils.init(teleportationZones)
end
